import { EventEmitter, OnInit } from '@angular/core';
import { Tag } from '../../../models/Tag';
import { WorkflowDataService } from '../workflow-data.service';
import { SwimlaneService } from '../services/swimlane.service';
import * as i0 from "@angular/core";
export declare class SwimlaneDialogComponent implements OnInit {
    private dataService;
    private swimlaneService;
    visible: boolean;
    swimlaneData: {
        name: string;
        tags: Tag[];
    } | null;
    closed: EventEmitter<any>;
    created: EventEmitter<{
        tags: Tag[];
        name: string;
    }>;
    searchQuery: string;
    workflowName: string;
    selectedTagNames: string[];
    tags: Tag[];
    constructor(dataService: WorkflowDataService, swimlaneService: SwimlaneService);
    ngOnInit(): void;
    /**
     * Load tags from the data service
     */
    private loadTags;
    get allSelected(): boolean;
    set allSelected(value: boolean);
    get filteredTags(): Tag[];
    isTagSelected(tagName: string): boolean;
    toggleTagSelection(tagName: string): void;
    onDialogClose(eventData: any): void;
    onDialogOpen(eventData: any): void;
    applySelection(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwimlaneDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SwimlaneDialogComponent, "lib-swimlane-dialog", never, { "visible": { "alias": "visible"; "required": false; }; "swimlaneData": { "alias": "swimlaneData"; "required": false; }; }, { "closed": "closed"; "created": "created"; }, never, never, false, never>;
}
